-- name: \\#DF7126\\[CS] CT Himself
-- description: The one and only CT Himself, creator of many classics such as the Patrick Starfish CS and Winterbottom's Pie Trials, has finally entered the realm of polygonal plumbers!

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_CTH = smlua_model_util_get_id("cth_geo")

local TEX_CTH = get_texture_info("ct-icon")

local TEXT_MOD_NAME = "CT Himself"


if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("CT Himself", {"Alright, I made my house", "and now I'm bored'"}, "CT Himself, obviously", {r = 223, g = 113, b = 38}, E_MODEL_CTH, CT_MARIO, TEX_CTH)
    _G.charSelect.character_add_caps(E_MODEL_CUSTOM_MODEL, CAPTABLE_CHAR)


else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end